# This is needed by the python DB SIG API v.20 (and imported by the MySQL and 
# postgresql modules implementing it). It's built separately, as it needs
# distutils which is itself separate with python 1.5.2
# Future plans includs building it inside the python main package when we go to 2.1


Summary:  A collection of Python software tools.
Name: mx
Version: 2.0.1
Release: 1
URL: http://www.lemburg.com/files/python/eGenix-mx-Extensions.html
Source0: http://www.lemburg.com/python/egenix-mx-base-%{version}.tar.gz
License: eGenix.com Public License (Python)
Group: Development/Libraries
BuildRequires: gcc glibc-devel python python-devel Distutils
Conflicts: python < 1.5 , python >= 1.6
Requires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mx extensions for Python are a collection of Python software tools
which enhance Python's usability in many areas.

%prep
%setup -q -n egenix-mx-base-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

# These files are documentation, and are in a bad location

mkdir docs
mv $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/{LICENSE,COPYRIGHT} docs
rm -fr $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/Doc
mv $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/*/Doc/* docs
rmdir $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/*/Doc/

# Don't include the examples
rm -fr $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/*/Examples
rm -f  $RPM_BUILD_ROOT/usr/lib/python*/site-packages/mx/*/*/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc README docs/*
/usr/lib/python*/site-packages/mx

%changelog
* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build. Needed for python DB API


